Page MenuHomePhabricator

Please enable ULS webfonts by default at Hebrew Wikisource
Closed, ResolvedPublic

Description

Author: dovijacobs

Description:
Please enable the Universal Language Selector as the default option at Hebrew Wikisource.

Reason: Visitors to the site cannot properly see important texts.

The community has made the request here:
https://he.wikisource.org/wiki/%D7%95%D7%99%D7%A7%D7%99%D7%98%D7%A7%D7%A1%D7%98:%D7%9E%D7%96%D7%A0%D7%95%D7%9F#.D7.94.D7.A4.D7.A2.D7.9C.D7.AA_.22.D7.91.D7.95.D7.A8.D7.A8_.D7.94.D7.A9.D7.A4.D7.95.D7.AA_.D7.94.D7.90.D7.95.D7.A0.D7.99.D7.91.D7.A8.D7.A1.D7.9C.D7.99.22_.D7.91.D7.95.D7.95.D7.99.D7.A7.D7.99.D7.98.D7.A7.D7.A1.D7.98_.D7.A2.D7.91.D7.A8.D7.99.D7.AA


Version: unspecified
Severity: enhancement

Details

Reference
bz60939

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:00 AM
bzimport set Reference to bz60939.
bzimport created this task.Feb 6 2014, 4:25 AM

Change 115153 had a related patch set uploaded by Odder:
Enable web fonts by default on Hebrew Wikisource

https://gerrit.wikimedia.org/r/115153

Change 115153 abandoned by Odder:
Enable web fonts by default on Hebrew Wikisource

https://gerrit.wikimedia.org/r/115153

Change 115153 restored by Ori.livneh:
Enable web fonts by default on Hebrew Wikisource

Reason:
If this was abandoned because I was being impolite or unhelpful, let me try and rectify that.

https://gerrit.wikimedia.org/r/115153

ori added a comment.Mar 16 2014, 10:54 AM

There is now some useful discussion in the comments on the patch. So please refer to it if you savvy about this subject.

dovijacobs wrote:

Hi, I now see the relevant texts appearing in a new font, both when I am signed in and when I am not. Does this mean the patch has been implemented?

The font, however, is not the same one as previously (which was a better one).

(In reply to Dovi Jacobs from comment #5)

Hi, I now see the relevant texts appearing in a new font, both when I am
signed in and when I am not. Does this mean the patch has been implemented?

No.

The font, however, is not the same one as previously (which was a better
one).

The font is defined in the MediaWiki scripts of your wiki. You can ask the sysops to change it; no idea what fonts are available by the same means.

tomasz added a comment.Apr 2 2014, 6:01 PM

There is a patch in Gerrit solving this issue that awaits merging.

Please note that there is interim CSS solution present on the wiki for one language: https://he.wikisource.org/wiki/%D7%9E%D7%93%D7%99%D7%94_%D7%95%D7%99%D7%A7%D7%99:Common.css

dalilae wrote:

hello, im new to these pages but if i understand right i would like to comment that adding a personal css code is not the solution we seek. we want our readers also to get a better interface. as i understood there shouldn't be any Times New Roman font but the font still appears on screen as well as in css font families, and it doesn't merge with the rest. if i didn't understood the suggestion, i apologies. i've been asked to file a report. i hope im in the right page ^_^
tnx,
~~~~

(In reply to dalilonim from comment #9)

hello, im new to these pages but if i understand right i would like to
comment that adding a personal css code is not the solution we seek. we want
our readers also to get a better interface. as i understood there shouldn't
be any Times New Roman font but the font still appears on screen as well as
in css font families, and it doesn't merge with the rest. if i didn't
understood the suggestion, i apologies. i've been asked to file a report. i
hope im in the right page ^_^
tnx,
~~~~

dalilonim, If you are talking about a change that affected Wikipedia in all languages, then this is not the right place for this. Better go here:
https://www.mediawiki.org/wiki/Talk:Typography_refresh

About this particular issue: My understanding is that the Hebrew Wikisource needs more than just one font. It uses several fonts for several types of texts, and the "Alef" is not the most important. Hebrew Wikisource is mostly about classical religious texts, which need special diacritics, and for that ULS provides Taamey Frank CLM. It uses the "Alef" for other purposes, too. Does he.wikisource use a lot of fonts for other languages? - no, but all the more, is it a problem to simply enable webfonts so that the Hebrew ones would be loaded in a robust way and not through common.css hacks?

dalilae wrote:

(In reply to Amir E. Aharoni from comment #10)

(In reply to dalilonim from comment #9)

hello, im new to these pages but if i understand right i would like to
comment that adding a personal css code is not the solution we seek. we want
our readers also to get a better interface. as i understood there shouldn't
be any Times New Roman font but the font still appears on screen as well as
in css font families, and it doesn't merge with the rest. if i didn't
understood the suggestion, i apologies. i've been asked to file a report. i
hope im in the right page ^_^
tnx,
~~~~

dalilonim, If you are talking about a change that affected Wikipedia in all
languages, then this is not the right place for this. Better go here:
https://www.mediawiki.org/wiki/Talk:Typography_refresh

: hello amir,
i replayed to the comment abouve #9, miss understood it as a personal solution. if needed my comment can be deleted.

(In reply to Amir E. Aharoni from comment #11)

is it a problem to simply enable webfonts so that the Hebrew ones
would be loaded in a robust way and not through common.css hacks?

I submitted my patch on February 24 (48 days ago), so yes, I dare say it is a problem.

dalilae wrote:

(In reply to dalilonim from comment #12)

(In reply to Amir E. Aharoni from comment #10)

(In reply to dalilonim from comment #9)

hello, im new to these pages but if i understand right i would like to
comment that adding a personal css code is not the solution we seek. we want
our readers also to get a better interface. as i understood there shouldn't
be any Times New Roman font but the font still appears on screen as well as
in css font families, and it doesn't merge with the rest. if i didn't
understood the suggestion, i apologies. i've been asked to file a report. i
hope im in the right page ^_^
tnx,
~~~~

dalilonim, If you are talking about a change that affected Wikipedia in all
languages, then this is not the right place for this. Better go here:
https://www.mediawiki.org/wiki/Talk:Typography_refresh

: hello amir,
i replayed to the comment abouve #9, miss understood it as a personal
solution. if needed my comment can be deleted. and the answer is no, it's about hebrew fonts. i already filed specific report on the issue i mentioned.

Change 115153 merged by jenkins-bot:
Enable web fonts by default on Hebrew Wikisource

https://gerrit.wikimedia.org/r/115153

Thanks for the merge, Ori.

dovijacobs wrote:

Hi, I don't think I understand the end of the discussion here (from Amir's comment and on).

What we are looking for is automatic ULS loading of appropriate fonts for regular text, as well as for texts with diacritical marks labeled "hbo" (and probably the same font or another good alternative for modern texts with niqqud).

So far I don't see any change in the performance of the website, and the font which appears (I don't know its name) is terrible...

I cleaned up the CSS. Is it better now?

dovijacobs wrote:

Thanks Amir (and Chag Sameach).

Now I am getting the following: When logged in, it shows the appropriate font (the same one as when ULS was first working). But when not logged in it shows some sort of a standard font that isn't so great for diacriticals.

In other words, something still seems missing in terms of the text showing up in the correct font for anyone who views the page.

ori added a comment.Apr 19 2014, 8:11 PM

(In reply to Amir E. Aharoni from comment #18)

I cleaned up the CSS.

Thanks for doing that; I meant to, but forgot.